# Frontend editing module for a headless nextjs frontend

## Requirements for the frontend
- [npm module](https://www.npmjs.com/package/@burst/frontend-editing)

## Requirements for the backend
- [paragraphs module](https://www.drupal.org/project/paragraphs)
- [allow site iframing module](https://www.drupal.org/project/allow_iframed_site)
- [jwt authentication module](https://www.drupal.org/project/jwt_auth)

## Configuration
add these values to the .env file in the root of the project.

```dotenv
NEXTJS_DOMAIN=http://localhost:3000
NEXTJS_REVALIDATE_SECRET=FAKESECRET

PREVIEW_URL=http://localhost:3000

JWT_TOKEN=FAKETOKEN
```

